var __en_arr = [["t0", "English"],
		["t1", "All-In-One Secure Mobile Office"],
		["t2", "Your Workspace is protected by VeriWire<sup>TM</sup> Technology"],
		["t3", "ActiveX Download FAILED!"],
		["t4", "If the information bar has popped up in this window indicating that &quot;The previous site might require add-ons...&quot;, you may need to click on the information bar to allow the software to be installed."],
		["t5", "If this is not the case, please verify that ActiveX add-ons will be allowed to run by checking the Security section located in <strong>Tools-&gt;Internet Options</strong>. ActiveX settings can be found by clicking the &quot;<strong>Custom level..</strong>.&quot; button and scrolling to the ActiveX section. After confirming that ActiveX controls and plugins can run,  please <a href='index.html'>try to log in again.</a>"],
		["t6", "As an alternative, you can use an installation kit instead of using the online   installer. Contact your Network Administrator to request a kit or more   information."],
		["t7", "Thank you for choosing VeriWire!"],
		["s0", "Language"]
		];
var __cn_arr = [["t0", "简体中文"],
		["t1", "一体化安全移动办公平台"],
		["t2", "VeriWire<sup>TM</sup>技术为您的远程桌面提供最佳保护"],
		["t3", "下载UUDynamics USA, Inc 签发的 ActiveX 控件失败！"],
		["t4", "如果在工作平台上方弹出告警框要求安装插件，请先单击它并按照提示进行安装。"],
		["t5", "否则，请检查您的IE是否允许下载 ActiveX 插件。 在IE中选择菜单“工具--&gt;Internet选项”，接着请在“安全”页签单击“自定义级别”按钮。在设置项中检查“ActiveX 控件和插件”设置是否选中“启用”。设置完成后，请尝试<a href='index.html'><strong>重新下载Active X 插件</strong></a>。"],
		["t6", "或者，您可以下载一个安装包。安装包由UUDynamics USA, Inc 签名，避免了下载不明来源的ActiveX 所带来的安全隐患。请联系您的网络管理员获取合适的安装包。"],
		["t7", "感谢您选择VeriWire！"],
		["s0", "语言"]
		];
var __tw_arr = [["t0", "繁體中文"],
		["t1", "一體化安全移動辦公平臺"],
		["t2", "VeriWire<sup>TM</sup>技術為您的遠端桌面提供最佳保護"],
		["t3", "下載<strong>UUDynamics USA, Inc</strong> 簽發的 ActiveX 控制項失敗！"],
		["t4", "如果在工作平臺上方彈出告警框要求安裝ActiveX插件，請先單擊它並按照提示進行安裝。"],
		["t5", "否則，請檢查您的IE是否允許下載 ActiveX 插件。 在IE中選擇功能表“工具--&gt;Internet選項”，接著請在“安全”頁簽單擊“自定義級別”按鈕。在設置項中檢查“ActiveX 控制項和插件”設置是否選中“啟用”。設置完成後，請嘗試<a href='index.html'>重新下載Active X 插件</a>。"],
		["t6", "或者，您可以下載一個安裝包。安裝包由UUDynamics USA, Inc 簽名，避免了下載不明來源的 ActiveX控件所涉及的安全隱患。請聯繫您的網路管理員獲取合適的安裝包。"],
		["t7", "感謝您選擇VeriWire！"],
		["s0", "語言"]
		];


var _multi_lang_arr = [["en", __en_arr],
			["zh-CN", __cn_arr],
			["zh-TW", __tw_arr]];


function get_string(_lang, _t)
{
	for (i=0; i<_multi_lang_arr.length; i++) {
		if (_multi_lang_arr[i][0] != _lang)
			continue;
		_la = _multi_lang_arr[i][1];
		for (j=0; j<_la.length; j++) {
			if (_la[j][0] != _t)
				continue;
			return _la[j][1];
		}
	}
	
	return null;
}

function get_text(lang, text_id){
	var xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
	xmlDoc.async="false";
	xmlDoc.load("./language.xml");

	var x = xmlDoc.getElementsByTagName('languages');

	try{
		for(var i=0;i<x.length;i++){	//<languages>
			for(j=0;j<x[i].childNodes.length;j++){	//<eng>, <cn>, <tw>
				if(x[i].childNodes[j].nodeName == lang){
					for(k=0; k<x[i].childNodes[j].childNodes.length; k++){	//<t1>, <t2>...
						if(x[i].childNodes[j].childNodes[k].nodeName == text_id){
							return x[i].childNodes[j].childNodes[k].firstChild.nodeValue;
						}
					}
				}
			}
		}
	}catch(e){}
}